/* ----------------------------------------------------
	header
---------------------------------------------------- */
.header {
	margin-bottom: 3rem;
	padding-top: 10.5rem;
	overflow: hidden;
	--kv_scroll-item-width: 80rem;
	--kv_scroll-gap: 3rem;
	--kv_scroll-set-size: 5;
	--kv_scroll-speed: 60s;
}

.header::before {
	background-image: url(../img/header-bg.webp);
	background-position: top center;
	background-repeat: repeat-x;
	background-size: auto 100%;
	width: 100%;
	height: 5.6rem;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 2;
	content: "";
}

.header__name {
	margin: 0 auto 3rem;
	width: 26.7rem;
}

.header__kv {
	margin: 0;
	padding: 0;
	width: max-content;
	display: flex;
	gap: var(--kv_scroll-gap);
	animation: kvScroll var(--kv_scroll-speed) linear infinite;
}

.header__kv--item {
	width: var(--kv_scroll-item-width);
	flex: 0 0 auto;
}

@keyframes kvScroll {
	from {
		transform: translateX(0);
	}

	to {
		transform: translateX(calc((var(--kv_scroll-item-width) + var(--kv_scroll-gap)) * var(--kv_scroll-set-size) * -1));
	}
}

@media screen and (max-width: 768px) {
	.header {
		margin-bottom: 2rem;
		padding-top: 8.5rem;
		--kv_scroll-item-width: 32.4rem;
		--kv_scroll-gap: 1rem;
		--kv_scroll-speed: 45s;
	}

	.header__name {
		margin-bottom: 2.5rem;
		width: 19.7rem;
	}
}

/* ----------------------------------------------------
	container
---------------------------------------------------- */
.container {
	margin: 0 auto;
	width: 106rem;
	position: relative;
}

@media screen and (max-width: 768px) {
	.container {
		width: 34rem;
	}
}

/* ----------------------------------------------------
	about
---------------------------------------------------- */
.about {
	margin-bottom: 13rem;
}

.about__logo {
	margin: 0 auto 2.5rem;
	width: 44rem;
}

.about__title {
	margin: 0 auto 3rem;
	width: 70rem;
}

.about__date {
	font-family: var(--abril);
	font-size: 3rem;
	text-align: center;
}

@media screen and (max-width: 768px) {
	.about {
		margin-bottom: 6rem;
	}

	.about__logo {
		margin-bottom: 1rem;
		width: 18rem;
	}

	.about__title {
		margin-bottom: 1rem;
		width: 28rem;
	}

	.about__date {
		font-size: 2rem;
	}
}

/* ----------------------------------------------------
	history
---------------------------------------------------- */
.history {
	background-image: url(../img/bg-line.webp);
	background-position: bottom center;
	background-repeat: no-repeat;
	background-size: 40rem auto;
	margin-bottom: 9rem;
	padding-bottom: 13rem;
	text-align: center;
}

.history__obj {
	background-image: url(../img/history-obj.webp);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	margin: 0 auto 6.5rem;
	width: 12rem;
	height: 15.4rem;
	animation: historyObj 5s ease-in-out infinite;
}

@keyframes historyObj {
	0% {
		transform: rotate(15deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(15deg);
	}
}

.history__title {
	margin: 0 auto 4rem;
	width: 50.6rem;
}

.history__text {
	margin-bottom: 6.5rem;
	line-height: 2.5;
	font-size: 2.2rem;
}

.history__image {
	display: flex;
	justify-content: space-between;
}

.history__image--item {
	width: 34rem;
	font-size: 1.8rem;
}

.history__image--item figcaption {
	margin-top: 1rem;
	line-height: 1;
}

@media screen and (max-width: 768px) {
	.history {
		background-size: 35rem auto;
		margin-bottom: 7rem;
		padding-bottom: 7rem;
	}

	.history__obj {
		margin-bottom: 4rem;
		width: 8rem;
		height: 10.2rem;
	}

	.history__title {
		margin-bottom: 2.3rem;
		width: 30rem;
	}

	.history__text {
		margin-bottom: 4rem;
		line-height: 2.25;
		font-size: 1.6rem;
	}

	.history__image {
		display: block;
	}

	.history__image--item {
		width: 100%;
		font-size: 1.3rem;
	}

	.history__image--item:not(:last-of-type) {
		margin-bottom: 2rem;
	}

	.history__image--item figcaption {
		margin-top: 1rem;
	}
}

/* ----------------------------------------------------
	menu
---------------------------------------------------- */
.menu {
	padding-bottom: 13rem;
}

.menu .container {
	background-image: url(../img/bg-line.webp);
	background-position: bottom center;
	background-repeat: no-repeat;
	background-size: 40rem auto;
	margin-bottom: 9rem;
	padding-bottom: 13rem;
}

.menu__title {
	margin-bottom: 4rem;
	line-height: normal;
	font-family: var(--abril);
	font-size: 5.2rem;
	text-align: center;
}

.menu .link-button {
	background-image: url(../img/link-btn-bg.webp);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	margin: 0 auto 10rem;
	width: 45.1rem;
	height: 11.1rem;
	font-size: 2.5rem;
}

.menu .note {
	margin: 0 auto;
	width: 100rem;
}

.menu .note li {
	font-size: 1.8rem;
}

.menu .message {
	background-image: url(../img/message-bg.webp);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	margin: 13rem auto 0;
	width: 100rem;
	height: 34rem;
	color: rgb(var(--gre));
	display: flex;
	justify-content: center;
	align-items: center;
}

.menu .message__logo {
	margin-right: 8rem;
	width: 14.5rem;
}

.menu .message__text {
	width: 50rem;
	font-size: 2rem;
}

@media screen and (max-width: 768px) {
	.menu {
		padding-bottom: 7rem;
	}

	.menu .container {
		background-size: 35rem auto;
		margin-bottom: 7rem;
		padding-bottom: 7rem;
	}

	.menu__title {
		margin-bottom: 2.5rem;
		font-size: 3.6rem;
	}

	.menu .link-button {
		margin-bottom: 3rem;
		width: 34rem;
		height: 8.3rem;
		font-size: 1.8rem;
	}

	.menu .note {
		width: 32rem;
	}

	.menu .note li {
		font-size: 1.3rem;
	}

	.menu .message {
		background-image: url(../img/message-bg_sp.webp);
		margin-top: 7rem;
		width: 34rem;
		height: 62rem;
		flex-direction: column;
	}

	.menu .message__logo {
		margin: 0 0 5rem;
		width: 14.5rem;
	}

	.menu .message__text {
		width: 18.2rem;
		font-size: 1.4rem;
	}
}

/*
	retro
------------------------------ */
.retro.container {
	width: 107rem;
}

.retro__content {
	margin-bottom: 9rem;
	font-size: 1.8rem;
	text-align: center;
}

.retro__content--detail:not(:last-of-type) {
	margin-bottom: 1em;
}

.retro__image {
	margin-bottom: 9rem;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

.retro__image--item {
	margin-bottom: 1.3rem;
	width: 52.8rem;
}

.retro__list--item {
	font-weight: 500;
	text-align: center;
	position: relative;
}

.retro__list--item:not(:last-of-type) {
	margin-bottom: 6rem;
	padding-bottom: 6rem;
}

.retro__list--item:not(:last-of-type)::before {
	background-color: rgb(var(--brn));
	width: 13rem;
	height: 1px;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	content: "";
}

.retro .menu__name {
	font-size: 2.6rem;
}

.retro .menu__price {
	font-family: var(--abril);
	font-size: 2.2rem;
	font-weight: 400;
}

.retro .menu__explanation {
	font-size: 1.8rem;
}

/* retro__obj01 */
.retro__obj01 {
	width: 12.9rem;
	height: 15rem;
	top: 3rem;
	left: 4.85rem;
}

.retro__obj01 .anime {
	background-image: url(../img/retro-obj01.webp);
	animation: retroObj01 5s ease-in-out infinite;
}

@keyframes retroObj01 {
	0% {
		transform: rotate(40deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(40deg);
	}
}

/* retro__obj02 */
.retro__obj02 {
	width: 15.5rem;
	height: 12.7rem;
	right: 9rem;
	bottom: 86rem;
}

.retro__obj02 .anime {
	background-image: url(../img/retro-obj02.webp);
	animation: retroObj02 5s ease-in-out infinite;
}

@keyframes retroObj02 {
	0% {
		transform: rotate(15deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(15deg);
	}
}

/* retro__obj03 */
.retro__obj03 {
	width: 12rem;
	height: 9rem;
	left: 12rem;
	bottom: 25rem;
}

.retro__obj03 .anime {
	background-image: url(../img/retro-obj03.webp);
	animation: retroObj03 5s ease-in-out infinite;
}

@keyframes retroObj03 {
	0% {
		transform: rotate(15deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(15deg);
	}
}

@media screen and (max-width: 768px) {
	.retro.container {
		padding-top: 10rem;
		width: 34rem;
	}

	.retro__content {
		margin-bottom: 3rem;
		font-size: 1.6rem;
	}

	.retro__image {
		margin-bottom: 3rem;
		display: block;
	}

	.retro__image--item {
		margin-bottom: 1rem;
		width: 100%;
	}

	.retro__list--item:not(:last-of-type) {
		margin-bottom: 4rem;
		padding-bottom: 4rem;
	}

	.retro .menu__name {
		font-size: 2rem;
	}

	.retro .menu__price {
		font-size: 1.8rem;
	}

	.retro .menu__explanation {
		font-size: 1.4rem;
	}

	/* retro__obj01 */
	.retro__obj01 {
		width: 5rem;
		height: 6.44rem;
		top: 0;
		left: 50%;
		transform: translateX(-50%);
	}

	/* retro__obj02, retro__obj03 */
	.retro__obj02,
	.retro__obj03 {
		display: none;
	}
}

/*
	other
------------------------------ */
.other.container {
	width: 81rem;
}

.other__image {
	margin-bottom: 4rem;
}

.other .dots {
	font-size: 1.8rem;
	text-align: center;
}

.other .dots li::before {
	position: static;
}

/* other__obj01 */
.other__obj01 {
	width: 10.1rem;
	height: 10.7rem;
	top: -2rem;
	right: 3.4rem;
}

.other__obj01 .anime {
	background-image: url(../img/other-obj01.webp);
	animation: otherObj01 5s ease-in-out infinite;
}

@keyframes otherObj01 {
	0% {
		transform: rotate(15deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(15deg);
	}
}

/* other__obj02 */
.other__obj02 {
	width: 8rem;
	height: 7.3rem;
	bottom: 8.5rem;
	left: -6rem;
}

.other__obj02 .anime {
	background-image: url(../img/other-obj02.webp);
	height: 7.3rem;
	bottom: 8.5rem;
	position: absolute;
	animation: 5s ease-in-out infinite;
	animation-name: otherObj02;
}

@keyframes otherObj02 {
	0% {
		transform: rotate(15deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(15deg);
	}
}

/* other__obj03 */
.other__obj03 {
	width: 9.5rem;
	height: 9.3rem;
	right: -4rem;
	bottom: -15rem;
	transform-origin: center bottom;
}

.other__obj03 .anime {
	background-image: url(../img/other-obj03.webp);
	animation: otherObj03 5s ease-in-out infinite;
}

@keyframes otherObj03 {
	0% {
		transform: rotate(15deg);
	}

	50% {
		transform: rotate(-15deg);
	}

	100% {
		transform: rotate(15deg);
	}
}

@media screen and (max-width: 768px) {
	.other.container {
		padding-top: 10rem;
		width: 34rem;
	}

	.other__image {
		margin-bottom: 2.5rem;
	}

	.other .dots {
		font-size: 1.4rem;
	}

	/* other__obj01 */
	.other__obj01 {
		width: 6.7rem;
		height: 7rem;
		top: 0;
		right: auto;
		left: 50%;
		transform: translateX(-50%);
	}

	/* other__obj02, other__obj03 */
	.other__obj02,
	.other__obj03 {
		display: none;
	}
}

/* ----------------------------------------------------
	hotels
---------------------------------------------------- */
.hotels {
	background-color: rgb(var(--beg));
	padding-top: 13rem;
	color: rgb(var(--gre));
	text-align: center;
}

.hotels__name {
	font-size: 3rem;
	font-weight: 500;
}

.hotels__address {
	margin-bottom: 5rem;
	font-size: 1.8rem;
}

.hotels__map {
	margin: 0 auto;
	width: 80rem;
}

.hotels__map iframe {
	width: 100%;
	height: 50rem;
}

@media screen and (max-width: 768px) {
	.hotels {
		padding-top: 6rem;
	}

	.hotels__name {
		font-size: 2.2rem;
	}

	.hotels__address {
		margin-bottom: 3rem;
		font-size: 1.6rem;
	}

	.hotels__map {
		width: 100%;
	}

	.hotels__map iframe {
		height: 23.4rem;
	}
}

/* ----------------------------------------------------
	footer
---------------------------------------------------- */
.footer {
	background-color: rgb(var(--beg));
	padding: 5rem 0;
	color: rgb(var(--gre));
}

.footer__logo {
	margin: 0 auto 7rem;
	width: 21rem;
}

@media screen and (max-width: 768px) {
	.footer {
		padding: 3rem 0;
	}

	.footer__logo {
		margin-bottom: 3rem;
		width: 13.9rem;
	}
}

/* 
	hotel-nav 
------------------------------ */
.footer .hotel-nav {
	margin-bottom: 2rem;
	line-height: 1;
	font-size: 1.6rem;
	display: flex;
	justify-content: center;
	align-items: center;
}

.footer .hotel-nav::before,
.footer .hotel-nav__item::after {
	content: "|";
}

.footer .hotel-nav__item a {
	padding: 0 1em;
	text-decoration: none;
}

@media screen and (max-width: 768px) {
	.footer .hotel-nav {
		font-size: 1.4rem;
		text-align: center;
		display: block;
	}

	.footer .hotel-nav::before {
		content: "";
	}

	.footer .hotel-nav__item::before,
	.footer .hotel-nav__item::after {
		content: "|";
	}

	.footer .hotel-nav__item:not(:last-of-type) {
		margin-bottom: 1em;
	}

	.footer .hotel-nav__item a {
		padding: 0 1em;
		text-decoration: none;
	}
}

/* 
	copy
------------------------------ */
.footer .copy {
	line-height: normal;
	font-size: 1.3rem;
	text-align: center;
}

@media screen and (max-width: 768px) {
	.footer .copy {
		font-size: 0.9rem;
	}
}